LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTableChartsSupplier Interface Referencepublished

provides a method to access a collection of charts in a table or spreadsheet. More...

`import"XTableChartsSupplier.idl";`

Inheritance diagram for XTableChartsSupplier:

## Public Member Functions
com::sun::star::table::XTableCharts | getCharts ()
| returns the collection of charts. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a method to access a collection of charts in a table or spreadsheet.

Developers Guide
  Charts - Working With Charts - Document Structure
  Charts - Creating and Adding a Chart to a Spreadsheet

## Member Function Documentation

## ◆ getCharts()

com::sun::star::table::XTableCharts getCharts | ( |  | ) |

returns the collection of charts.

See also
  com::sun::star::table::TableCharts

The documentation for this interface was generated from the following file:

- com/sun/star/table/XTableChartsSupplier.idl